Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.wsat.v200410
Class Envelope

    java.lang.Object
      com.atomikos.icatch.jaxb.wsat.v200410.Envelope

    public class Envelope

extends Object

Java class for Envelope complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Envelope">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://schemas.xmlsoap.org/soap/envelope/}Header" minOccurs="0"/>
             <element ref="{http://schemas.xmlsoap.org/soap/envelope/}Body"/>
             <any/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected List<Object>` | `any`
`protected Body` | `body`
`protected Header` | `header`

Constructor Summary
`Envelope()`

Method Summary
`List<Object>` | `getAny()` Gets the value of the any property.
`Body` | `getBody()` Gets the value of the body property.
`Header` | `getHeader()` Gets the value of the header property.
`Map<QName,String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`void` | `setBody(Body value)` Sets the value of the body property.
`void` | `setHeader(Header value)` Sets the value of the header property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### header

    protected Header header

### body

    protected Body body

### any

    protected List<Object> any

Constructor Detail

### Envelope

    public Envelope()

Method Detail

### getHeader

    public Header getHeader()

  Gets the value of the header property.

  Returns:
    possible object is `Header`

### setHeader

    public void setHeader(Header value)

  Sets the value of the header property.

  Parameters:
    `value` - allowed object is `Header`

### getBody

    public Body getBody()

  Gets the value of the body property.

  Returns:
    possible object is `Body`

### setBody

    public void setBody(Body value)

  Sets the value of the body property.

  Parameters:
    `value` - allowed object is `Body`

### getAny

    public List<Object> getAny()

  Gets the value of the any property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

  For example, to add a new item, do as follows:

          getAny().add(newItem);

  Objects of the following type(s) are allowed in the list `Element` `Object`

### getOtherAttributes

    public Map<QName,String> getOtherAttributes()

  Gets a map that contains attributes that aren't bound to any typed property on this class.

  the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

  Returns:
    always non-null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.